Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Gets database backups

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/backups' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The database backup files

Bodyapplication/jsonArray [
namestring or null

The name of the backup file

createdDateTimestring(date-time)

The date it was created

sizeinteger(int64)

The size of the document in bytes

]
Response
application/json
[ { "name": "string", "createdDateTime": "2019-08-24T14:15:22Z", "size": 0 } ]

Exports database backups

Request

Security
Bearer
Query
backupsArray of stringsrequired

The backup file names

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/backups/export?backups=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The database backup files content

Bodyapplication/json
string(binary)
Response
application/json
"string"

Deletes the backup files

Request

Security
Bearer
BodyArray [
string
]
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/backups/batch-delete' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '[
    "string"
  ]'

Responses

The files were deleted

Response
No content

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations